%define name xdgurl
%define sourcename %{name}-release

Summary: An install helper program for desktop stuff
Name: %{name}
Version: 2.0.2
Release: %mkrel 1
License: GPLv3+
Group: Graphical desktop/KDE5
URL: https://github.com/xdgurl/xdgurl

Source0: %{sourcename}-%{version}.tar.xz

BuildRequires: qt5-devel
BuildRequires: qt5svg-devel
BuildRequires: qt5quick-devel

Requires: qtdeclarative5
Requires: qtquickcontrols5

%description
%{name} is URL handler for xdg:// scheme and
enables you to download or install desktop stuff
from opendesktop.org or other sites.

%prep
%setup -qn xdgurl-release-%version

%build
%qmake_qt5 PREFIX=%{_prefix}
%make

%install
rm -rf %buildroot
%qmakeinstall_std

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg



%changelog
* Sun Apr 23 2017 adrianomorselli <adrianomorselli> 2-0-21uplos2017
- update
